> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sample Stats

> Per-output Elo and win/loss for the experiment's ranked outputs (for distribution charts).



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/sample-stats
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/sample-stats:
    get:
      tags:
        - Analytics
      summary: Get Sample Stats
      description: >-
        Per-output Elo and win/loss for the experiment's ranked outputs (for
        distribution charts).
      operationId: get_sample_stats_v1_experiments__experiment_id__sample_stats_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SampleStatsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    SampleStatsResponse:
      description: Per-sample Elo and win/loss across the experiment's ranked outputs.
      properties:
        capped:
          default: false
          title: Capped
          type: boolean
        points:
          items:
            $ref: '#/components/schemas/SampleStatPointResponse'
          title: Points
          type: array
        total:
          default: 0
          title: Total
          type: integer
      title: SampleStatsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SampleStatPointResponse:
      description: One output's competitive stats.
      properties:
        comparisons:
          default: 0
          title: Comparisons
          type: integer
        elo:
          title: Elo
          type: integer
        id:
          title: Id
          type: string
        losses:
          title: Losses
          type: integer
        wins:
          title: Wins
          type: integer
      required:
        - id
        - elo
        - wins
        - losses
      title: SampleStatPointResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````